#ifndef __BMPMENUDECORATEDMDIFRAME_H
#define __BMPMENUDECORATEDMDIFRAME_H

#ifndef   OWL_DECMDIFR_H
#include <owl/decmdifr.h>
#endif

#ifndef   bmpmenumdiclient_h
#include "mdi/bmpmenumdiclient.h"
#endif

#ifndef __BMPMENU_H
#include "bmpmenu.h"
#endif

//
// class TBmpMenuDecoratedMDIFrame
// ~~~~~ ~~~~~~~~~~~~~~~~~~~~~~~~~
// MDI frame that supports decoration child windows
// and shows bitmaps on the left side of menus like MS Office
//
class TBmpMenuDecoratedMDIFrame : public TDecoratedMDIFrame {
  public:
    TBmpMenuDecoratedMDIFrame(const char far*     title,
                              TResId              menuResId,
                              TBmpMenuMDIClient&  clientWnd = *new TBmpMenuMDIClient,
                              bool                trackMenuSelection = false,
                              TModule*            module = 0);

		~TBmpMenuDecoratedMDIFrame();

  public:
    TBmpMenu* GetBmpMenu() { return BmpMenu; }

    virtual int GetHintText(uint id, char* buf, int size, THintText hintType) const;
    virtual bool SetMenu(HMENU hMenu);

  protected:
    virtual void SetupWindow();

    void  EvInitMenu(HMENU hMenu);
    void  EvInitMenuPopup(HMENU hPopupMenu, uint index, bool sysMenu);
    void  EvDrawItem(uint ctrlId, DRAWITEMSTRUCT far& drawInfo);
    void  EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo);

    int32 EvMenuChar(uint nChar, uint menuType, HMENU hMenu);

  protected:
    TBmpMenu* BmpMenu;

  DECLARE_RESPONSE_TABLE(TBmpMenuDecoratedMDIFrame);
};

#endif
