//----------------------------------------------------------------------------
//  Project BmpMenuApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenumdichild.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenumdichild_h)              // Sentry, use file only if it's not already included.
#define bmpmenumdichild_h

#include "mdi/bmpmenuapp.rh"            // Definition of all resources.
#include "mdi/BmpMenuMDIClient.h"

class TBmpMenu;

//{{TMDIChild = TBmpMenuMDIChild}}
class TBmpMenuMDIChild : public TMDIChild {
  public:
    TBmpMenuMDIChild(TBmpMenuMDIClient& parent, const char far* title, TWindow* clientWnd, bool shrinkToClient = false, TModule* module = 0);
    virtual ~TBmpMenuMDIChild();

    TBmpMenu* GetBmpMenu();
    
  protected:
    virtual void SetupWindow();

    void  EvInitMenuPopup(HMENU hPopupMenu, uint index, bool sysMenu);
    void  EvDrawItem(uint ctrlId, DRAWITEMSTRUCT far& drawInfo);
    void  EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo);

    int32 EvMenuChar(uint nChar, uint menuType, HMENU hMenu);

  DECLARE_RESPONSE_TABLE(TBmpMenuMDIChild);
};    //{{TBmpMenuMDIChild}}


#endif  // bmpmenumdichild_h sentry.
